
Redmine - Defect #1950

Content of the Milestone page is not converted.

2008-09-25 21:27 - Karl Heinz Marbaise

Status: Closed Start date: 2008-09-25

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Importers Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

During a test migration from Trac to Readmine it occured that the text which is on the milestone page in trac is converted into the 

Description text and not as supplemental Wiki page (Wiki page) which can be attached to a Version. (Revision 1900 of trunk).

I would suggest to simple convert the text on the milestone page into a supplemental wiki page (same name as the milestone) and all

formattings etc. will work.

Related issues:

Related to Redmine - Patch #2050: Summarization of #1949, #1950 and #2023 Closed 2008-10-19

Related to Redmine - Patch #2114: Fixed Bugs in Importer Area New

History

#1 - 2008-10-11 21:50 - Karl Heinz Marbaise

- File defect-1950.patch added

- Target version set to 0.8

Added a patch to solve the problem. Now the Description is left empty and the contents of the wiki page for the milestone will be converted into a wiki

page and related to the milestone.

#2 - 2008-10-11 22:04 - Karl Heinz Marbaise

The time stamp of the created wiki pages for the milestones are not correct, but this can only be fixed in relationship with Issue #1949, where we get

the correct time stamp of the milestone (milestone.completed).

An other part is the user name of the wiki pages for the milestones, which is currently hard coded (not good style). I think we should use the author

name of the milestone.

#3 - 2008-10-19 10:59 - Karl Heinz Marbaise

- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 2008-11-11 14:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Committed in r2011.

Files

defect-1950.patch 2.11 KB 2008-10-11 Karl Heinz Marbaise
